> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wizcommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Price Lists

> List Price Lists



## OpenAPI

````yaml get /v1/price-lists
openapi: 3.0.0
info:
  description: Open API's for WizCommerce API's
  title: WizCommerce Open API's
  termsOfService: https://wizcommerce.com/terms/
  contact:
    name: Tech Support
    url: https://help.wizcommerce.com/
    email: tech@wizcommerce.com
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: '1.0'
servers:
  - url: https://api.wizcommerce.com
    description: Production BaseURL
  - url: https://api-staging.sourcerer.tech
    description: Staging BaseURL
security: []
paths:
  /v1/price-lists:
    get:
      tags:
        - Price List
      summary: List Price Lists
      description: List Price Lists
      parameters:
        - example: 1
          x-order: '1'
          name: page
          in: query
          schema:
            type: integer
            minimum: 1
        - example: created_at
          x-order: '1'
          name: sort_by
          in: query
          schema:
            type: string
            enum:
              - created_at
              - updated_at
              - name
            default: updated_at
        - example: 25
          x-order: '2'
          name: page_size
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - example: asc
          x-order: '2'
          name: sort
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
        - x-order: '4'
          name: status
          in: query
          schema:
            type: string
            enum:
              - active
              - inactive
            default: active
      responses:
        '200':
          description: desc
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/dtos.SuccessPaginationResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/dtos.PriceListResponse'
        '400':
          description: desc
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '401':
          description: desc
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '429':
          description: desc
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '500':
          description: desc
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dtos.SuccessPaginationResponse:
      type: object
      properties:
        data:
          x-order: '1'
        pagination:
          allOf:
            - $ref: '#/components/schemas/dtos.PaginationResponse'
          x-order: '2'
    dtos.PriceListResponse:
      type: object
      properties:
        id:
          type: string
          x-order: '1'
          example: 0c05a9a7-84ed-46f0-819b-653545730920
        reference_id:
          type: string
          x-order: '2'
          example: PRC-20250101
        name:
          type: string
          x-order: '3'
          example: Price List 1
        description:
          type: string
          x-order: '4'
          example: Price List 1 Description
        status:
          type: string
          x-order: '5'
          example: active
        currency:
          type: string
          x-order: '6'
          example: USD
        created_at:
          type: string
          x-order: '7'
          example: '2025-01-01T00:00:00Z'
        updated_at:
          type: string
          x-order: '8'
          example: '2025-01-01T00:00:00Z'
    errors.HttpError:
      type: object
      properties:
        code:
          type: string
          x-order: '1'
        message:
          type: string
          x-order: '2'
        details:
          type: array
          items:
            $ref: '#/components/schemas/errors.HttpErrorDetails'
          x-order: '3'
    dtos.PaginationResponse:
      type: object
      properties:
        total_records:
          type: integer
          x-order: '1'
          example: 100
        total_pages:
          type: integer
          x-order: '2'
          example: 10
        current_page:
          type: integer
          x-order: '3'
          example: 1
        next_page:
          type: integer
          x-order: '4'
          example: 2
        prev_page:
          type: integer
          x-order: '5'
          example: 0
        page_size:
          type: integer
          x-order: '6'
          example: 10
    errors.HttpErrorDetails:
      type: object
      properties:
        field:
          type: string
          x-order: '1'
        reason:
          type: string
          x-order: '2'
  securitySchemes:
    ApiKeyAuth:
      description: API Key for authentication
      type: apiKey
      name: X-API-Key
      in: header

````